<!DOCTYPE html>
<html>
<head>
<script src="../jquery/jquery-1.11.1.js"></script>
<script src="../tinymce/js/tinymce/tinymce.js"></script>
<script src="../tinymce/js/tinymce/jquery.tinymce.min.js"></script>
<script>
	$(function () {
			$('#mytextarea').tinymce({
				branding: false,
				height: 200,				
				plugins: [
					'advlist autolink lists link image charmap print preview hr anchor pagebreak',
					'searchreplace wordcount visualblocks visualchars code fullscreen',
					'insertdatetime media nonbreaking save table contextmenu directionality',
					'emoticons template paste textcolor colorpicker textpattern imagetools'
				],
				toolbar1: 'undo redo | styleselect | bold italic underline strikethrough | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | forecolor backcolor | insertsymbols',
				
				setup: function (editor) {
					editor.addButton('insertsymbols', { //add custom
							type: 'listbox',
							text: 'Insert Symbol',
							icon: false,
							onselect: function (e) {
								editor.insertContent(this.value());
							},
						values: [
							{ text: "Insert Account", value: "%ACCOUNT%"},
							{ text: "Insert Customer", value: "%CUSTOMER%"},
							{ text: "Insert Card ID", value: "%CARDID%"},
							{ text: "Insert Name (Thai)", value: "%TNAME%"},
							{ text: "Insert Name (English)", value: "%ENAME%"},
							{ text: "Insert Marketing ID", value: "%MKTID%"},
							{ text: "Insert Marketing Name (Thai)", value: "%MKTTNAME%"},
							{ text: "Insert Marketing Name (English)", value: "%MKTENAME%"},
							{ text: "Insert Text N", value: "%TEXTn%"},
							{ text: "Insert Date", value: "%DATE%"},
							{ text: "Insert Branch", value: "%BRANCH%"},
							{ text: "Insert Occupation (English)", value: "%OCCUPATIONENAME%"},
							{ text: "Insert Occupation (Thai)", value: "%OCCUPATIONTNAME%"},
							{ text: "Insert Country (English)", value: "%COUNTRYENAME%"},
							{ text: "Insert Country (Thai)", value: "%COUNTRYTNAME%"},
							{ text: "Insert Risk Group", value: "%RISKGROUP%"}
						],
						onPostRender: function () {
							this.value('');
						}
					});
				}
			
			
			});
	});
</script>
</head>
<body>
        <textarea id="mytextarea">Your content here.</textarea>
</body>
</html>